/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.Presentation;

import com.kiwisoft.db.Database;
import com.kiwisoft.db.DatabaseManager;
import com.kiwisoft.sqlPlugin.Icons;
import com.kiwisoft.utils.gui.IconManager;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2006/02/18 15:32:23 $
 */
public class SelectDatabaseAction extends AnAction
{
	private Database database;
	private DatabaseManager databaseManager;

	public SelectDatabaseAction(DatabaseManager databaseManager, Database database)
	{
		super(database.getName());
		Presentation presentation=getTemplatePresentation();
		if (database.isConnected()) presentation.setIcon(IconManager.getIcon(Icons.CONNECTED));
		else if (database.isDriverValid()) presentation.setIcon(IconManager.getIcon(Icons.NOT_CONNECTED));
		else presentation.setIcon(IconManager.getIcon(Icons.DRIVER_NOT_FOUND));
		this.database=database;
		this.databaseManager=databaseManager;
	}

	public void actionPerformed(AnActionEvent event)
	{
		databaseManager.setCurrentDatabase(database);
	}
}
