/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.actions;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;

import com.kiwisoft.db.DatabaseManager;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.1 $, $Date: 2006/02/18 15:32:23 $
 */
public class SelectGroupAction extends AnAction
{
	private String group;
	private DatabaseManager databaseManager;

	public SelectGroupAction(DatabaseManager databaseManager, String group)
	{
		super("Select Group");
		this.group=group;
		if (group==null) getTemplatePresentation().setText("No Group");
		else getTemplatePresentation().setText(group);
		this.databaseManager=databaseManager;
	}

	public void actionPerformed(AnActionEvent event)
	{
		databaseManager.setCurrentGroup(group);
	}
}
