package com.kiwisoft.sqlPlugin.dataLoad;

import com.kiwisoft.utils.gui.table.*;
import com.kiwisoft.sqlPlugin.DefaultTableConfiguration;
import com.kiwisoft.db.DatabaseUtils;

import javax.swing.*;
import java.awt.*;
import java.sql.Types;

/**
 * Created by IntelliJ IDEA.
 * User: Gieselbert
 * Date: 04.03.2006
 * Time: 09:43:34
 * To change this template use File | Settings | File Templates.
 */
public class TargetColumnsTableModel extends SortableTableModel
{
    public static final String[] COLUMNS = {"tableColumn", "type", "field"};
    private static TableLookupEditor sourceColumnEditor;

    public static void main(String[] args)
    {
        JFrame frame = new JFrame();
        frame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        TargetColumnsTableModel model = new TargetColumnsTableModel();
        for (int i = 1; i <= 10; i++)
        {
            TargetColumnDescriptor columnDescriptor = new TargetColumnDescriptor();
            columnDescriptor.setName("Column " + i);
            columnDescriptor.setJdbcType(Types.VARCHAR);
            model.addRow(new Row(columnDescriptor));
        }
        SortableTable table = new SortableTable(model);
        table.initializeColumns(new DefaultTableConfiguration("targetColumns"));
        table.sizeColumnsToFit(true, true);
        table.putClientProperty(SortableTable.ALTERNATE_ROW_COLOR, new Color(235, 255, 235));
        frame.setContentPane(new JScrollPane(table));
        frame.pack();
        frame.setVisible(true);

        sourceColumnEditor = new TableLookupEditor(new SourceColumnLookup());
    }

    public int getColumnCount()
    {
        return COLUMNS.length;
    }

    public String getColumnName(int column)
    {
        return COLUMNS[column];
    }

    private static class Row extends SortableTableRow
    {
        public Row(TargetColumnDescriptor columnDescriptor)
        {
            super(columnDescriptor);
        }

        public TargetColumnDescriptor getDescriptor()
        {
            return (TargetColumnDescriptor) getUserObject();
        }

        public Class getCellClass(int col)
        {
            return String.class;
        }

        public ObjectEditor getObjectEditor(int col)
        {
            if (col==2) return sourceColumnEditor;
            return super.getObjectEditor(col);
        }

        public Object getDisplayValue(int column)
        {
            switch (column)
            {
                case 0:
                    return getDescriptor().getName();
                case 1:
                    return DatabaseUtils.getTypeString(getDescriptor().getJdbcType());
                case 2:
                    return getDescriptor().getField();
            }
            return null;
        }

        public int setValue(Object value, int col)
        {
            switch (col)
            {
                case 2:
                    getDescriptor().setField((String) value);
                    return CELL_UPDATE;
            }
            return super.setValue(value, col);
        }

        public boolean isEditable(int column)
        {
            return column == 2;
        }
    }
}
