/*
 * Copyright (C) 2002-2003 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.sqlPlugin.dataLoad.io;

import java.util.List;
import java.util.ArrayList;

import com.kiwisoft.utils.xml.XMLAdapter;
import com.kiwisoft.utils.xml.XMLContext;
import com.kiwisoft.utils.xml.XMLObject;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.3 $, $Date: 2002/02/22 10:00:24 $
 */
public class RecordType extends XMLAdapter
{
	private String id;
	private String name;
	private List elements=new ArrayList();

	public RecordType(XMLContext dummy, String aName)
	{
		super(dummy, aName);
	}

	public void setXMLAttribute(XMLContext context, String name, String value)
	{
		if ("id".equalsIgnoreCase(name)) this.id=value;
		else if ("name".equalsIgnoreCase(name)) this.name=value;
		else super.setXMLAttribute(context, name, value);
	}

	public void addXMLElement(XMLContext context, XMLObject element)
	{
		if (element instanceof RecordElement) elements.add(element);
		else super.addXMLElement(context, element);
	}

	public String getId()
	{
		return id;
	}

	public String getName()
	{
		return name;
	}

	public List getElements()
	{
		return elements;
	}

	public String toString()
	{
		return name;
	}
}
