package com.kiwisoft.sqlPlugin.dataLoad.script;

public class Concatenate extends Function
{
    private String[] inputFields;
    private String outputField;
    private String separator;

    public Concatenate(String[] inputFields, String outputField)
    {
        this(inputFields, outputField, null);
    }

    public Concatenate(String[] inputFields, String outputField, String separator)
    {
        this.inputFields = inputFields;
        this.outputField = outputField;
        this.separator = separator;
    }

    public String[] getInputFields()
    {
        return inputFields;
    }

    public String getOutputField()
    {
        return outputField;
    }

    public String getDescription()
    {
        StringBuffer description = new StringBuffer();
        description.append("<").append(outputField).append("> := Concatenate(");
        for (int i = 0; i < inputFields.length; i++)
        {
            String inputField = inputFields[i];
            if (i > 0)
            {
                description.append(", ");
                if (separator != null) description.append("\"").append(separator).append("\", ");
            }
            description.append("<").append(inputField).append(">");
        }
        description.append(")");
        return description.toString();
    }

    public void perform(Fields fields)
    {
        StringBuffer output = new StringBuffer();
        for (int i = 0; i < inputFields.length; i++)
        {
            String inputField = inputFields[i];
            if (i > 0 && separator != null) output.append(separator);
            output.append(fields.getValue(inputField));
        }
        fields.setValue(outputField, output.toString());
    }
}
