package com.kiwisoft.sqlPlugin.dataLoad.script;

import junit.framework.TestCase;

/**
 * Created by IntelliJ IDEA.
 * User: Gieselbert
 * Date: 04.03.2006
 * Time: 14:52:01
 * To change this template use File | Settings | File Templates.
 */
public class FunctionTest extends TestCase
{
	private Fields fields;
	/** @noinspection FieldCanBeLocal*/
	private Function function;

	public FunctionTest()
	{
	}

	protected void setUp() throws Exception
	{
		super.setUp();
		fields = new Fields();
	}

	public void testConcatenate()
	{
		fields.define("input1", String.class, "abc");
		fields.define("input2", String.class, "def");
		fields.define("output", String.class);

		function = new Concatenate(new String[]{"input1", "input2"}, "output");
		System.out.println(function);
		function.perform(fields);
		assertEquals("abcdef", fields.getValue("output"));

		function=new Concatenate(new String[]{"input1", "input2"}, "output", ",");
		System.out.println(function);
		function.perform(fields);
		assertEquals("abc,def", fields.getValue("output"));
	}

	public void testSubString()
	{
		fields.define("input", String.class, "abcefgh");
		fields.define("output", String.class);

		function=new SubString("input", "output", 0, 3);
		System.out.println(function);
		function.perform(fields);
		assertEquals("abc", fields.getValue("output"));

		function=new SubString("input", "output", 0, 10);
		System.out.println(function);
		function.perform(fields);
		assertEquals("abcefgh", fields.getValue("output"));

		function=new SubString("input", "output", 2, 2);
		System.out.println(function);
		function.perform(fields);
		assertEquals("ce", fields.getValue("output"));

		function=new SubString("input", "output", 2, 10);
		System.out.println(function);
		function.perform(fields);
		assertEquals("cefgh", fields.getValue("output"));
	}
}
