package com.kiwisoft.sqlPlugin.dataLoad.script;

/**
 * Created by IntelliJ IDEA.
 * User: Gieselbert
 * Date: 04.03.2006
 * Time: 15:27:29
 * To change this template use File | Settings | File Templates.
 */
public class SubString extends Function
{
    private String inputField;
    private String outputField;
    private int offset;
    private int length;

    public SubString(String inputField, String outputField, int offset, int length)
    {
        this.inputField = inputField;
        this.outputField = outputField;
        this.offset = offset;
        this.length = length;
    }

    public String getDescription()
    {
        StringBuffer description=new StringBuffer();
        description.append("<").append(outputField).append("> := SubString(<");
        description.append(inputField).append(">, ");
        description.append(offset);
        description.append(", ");
        description.append(length);
        description.append(")");
        return description.toString();
    }

    public void perform(Fields fields)
    {
        String output=null;
        String value = (String) fields.getValue(inputField);
        if (value!=null)
        {
            int beginIndex=Math.min(offset, value.length());
            int endIndex=Math.min(offset+length, value.length());
            output = value.substring(beginIndex, endIndex);
        }
        fields.setValue(outputField, output);
    }
}
