/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.db;

import java.sql.Types;
import java.lang.reflect.Field;
import java.util.Set;
import java.util.HashSet;
import java.util.Iterator;

import junit.framework.TestCase;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:54:52 $
 */
public class DatabaseUtilsTest extends TestCase
{
	public DatabaseUtilsTest(String string)
	{
		super(string);
	}

	public void testGetTypeString() throws IllegalAccessException
	{
		Field[] fields=Types.class.getDeclaredFields();
		Set missingTypes=new HashSet();
		for (int i=0; i<fields.length; i++)
		{
			Field field=fields[i];
			field.setAccessible(true);
			int value=field.getInt(null);
			String typeString=DatabaseUtils.getTypeString(value);
			if (typeString==null) missingTypes.add(field.getName());
			else assertEquals(field.getName(), typeString);
		}
		for (Iterator it=missingTypes.iterator(); it.hasNext();)
		{
			String type=(String)it.next();
			System.out.println("case Types."+type+": return \""+type+"\";");
		}
		assertTrue(missingTypes.isEmpty());
	}
}
