/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils;

import junit.framework.TestCase;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:54:53 $
 */
public class ObjectUtilsTest extends TestCase
{
	public ObjectUtilsTest(String s)
	{
		super(s);
	}

	public void testGetBaseClass() throws IllegalAccessException, InstantiationException
	{
		assertEquals(Object.class, ObjectUtils.getBaseClass(null, Object.class));
		assertEquals(String.class, ObjectUtils.getBaseClass(String.class, null));
		assertEquals(String.class, ObjectUtils.getBaseClass(null, String.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(byte[].class, String.class));
		assertEquals(String.class, ObjectUtils.getBaseClass(String.class, String.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(String.class, Object.class));
		assertEquals(Number.class, ObjectUtils.getBaseClass(Double.class, Number.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Double.class, String.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(String.class, byte[].class));
		assertEquals(byte[].class, ObjectUtils.getBaseClass(null, byte[].class));
		assertEquals(int.class, ObjectUtils.getBaseClass(null, int.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(String.class, int.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(byte[].class, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Byte.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Integer.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Long.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Double.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Float.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Boolean.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Short.TYPE, Object.class));
		assertEquals(Object.class, ObjectUtils.getBaseClass(Void.TYPE, Object.class));
	}
}
