/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.gui.action;

import java.awt.event.ActionEvent;
import javax.swing.ImageIcon;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.3 $, $Date: 2005/08/10 18:55:15 $
 */
public abstract class ContextAction
{
	private String name;
	private ImageIcon icon;

	protected ContextAction(String name)
	{
		this.name=name;
	}

	protected ContextAction(String name, ImageIcon icon)
	{
		this.name=name;
		this.icon=icon;
	}

	public String getName()
	{
		return name;
	}

	public ImageIcon getIcon()
	{
		return icon;
	}

	public String getDescription()
	{
		return null;
	}

	public boolean isHideDisabled()
	{
		return false;
	}

	public boolean isEnabled(ActionContext context)
	{
		return true;
	}

	public abstract void perform(ActionContext context, ActionEvent event);

	public ContextAction[] getSubActions()
	{
		return null;
	}
}
