/*
 * Copyright (C) 2002-2005 Stefan Stiller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package com.kiwisoft.utils.xml;

import junit.framework.TestCase;

/**
 * @author Stefan Stiller
 * @version $Revision: 1.2 $, $Date: 2005/08/10 18:50:43 $
 */
public class XMLUtilsTest extends TestCase
{
	public XMLUtilsTest(String string)
	{
		super(string);
	}

	public void testToXMLString()
	{
		assertEquals("abc", XMLUtils.toXMLString("abc"));
		assertEquals("&lt;&gt;&amp;&quot;", XMLUtils.toXMLString("<>&\""));
		assertEquals("&#0240;", XMLUtils.toXMLString("\u0240"));
		assertEquals("&#00e4;", XMLUtils.toXMLString(""));
	}

	public void testIsXMLName()
	{
		assertTrue(XMLUtils.isXMLName("abc"));
		assertTrue(XMLUtils.isXMLName("a:bc"));
		assertTrue(XMLUtils.isXMLName("a.bc"));
		assertTrue(XMLUtils.isXMLName("a_bc"));
		assertTrue(XMLUtils.isXMLName("a-"));
		assertTrue(XMLUtils.isXMLName("a1"));
		assertFalse(XMLUtils.isXMLName("-abc"));
		assertFalse(XMLUtils.isXMLName("a bc"));
		assertFalse(XMLUtils.isXMLName("a bc"));
		assertFalse(XMLUtils.isXMLName(" bc"));
		assertFalse(XMLUtils.isXMLName("1abc"));
		assertFalse(XMLUtils.isXMLName("1abc"));
	}
}
